


.. index::
   pair: Developer ; Mediawiki
   pair: Manual ; Mediawiki
   pair: Manual ; Hacker
   ! Mediawiki


.. _mediawiki_developer_hub:

=======================
Mediawiki developer hub
=======================

.. seealso::

   - https://www.mediawiki.org/wiki/Developer_hub
   - https://meta.wikimedia.org/wiki/Wikimedia_developer_hub
   - https://meta.wikimedia.org/wiki/Tech
   - https://www.mediawiki.org/wiki/MDG
   - https://www.mediawiki.org/wiki/How_to_become_a_MediaWiki_hacker
   - http://www.aosabook.org/en/mediawiki.html




Introduction
=============

A place for programmers who are looking for an opportunity to help with
wikimedia software projects.


Developer hub
=============

.. seealso::

   - https://www.mediawiki.org/wiki/Developer_hub

This is a high-level overview of MediaWiki development, including links
to the key documents, resources and tools available to MediaWiki developers.

It is written for skilled LAMP developers who have experience using MediaWiki.


Manual:MediaWiki Developer's Guide
==================================

.. seealso::

   - https://www.mediawiki.org/wiki/MDG
   - https://www.mediawiki.org/wiki/MVL

You can load it from here, generate a PDF, let a book printed, edit it
or otherwise update its content. Be reminded that when overwriting this
book storage page with an updated version of the book, the previously
assigned categories are not automatically copied to the recent version:
you need to manually copy the categories from the former version


How to become a MediaWiki hacker
================================

.. seealso::

   - https://www.mediawiki.org/wiki/How_to_become_a_MediaWiki_hacker
   - http://www.aosabook.org/en/mediawiki.html

**MediaWiki is the software that powers Wikipedia, its sister projects and
thousands of wikis all over the world**.

It runs on most operating systems, is written in PHP, primarily uses the
MySQL database server and uses jQuery as the client Javascript library.

Development of MediaWiki is primarily supported by the Wikimedia Foundation,
though volunteer community developers play a huge part as well.

This page should help you get started on the path to becoming a contributor
to MediaWiki. It is not a tutorial; it just points you to various places
where you can go learn whatever is necessary.

Mediawiki developer news
=========================

.. toctree::
   :maxdepth: 3

   news/news
